System Requirements

System Requirements

The system requirements to effectively use the Intelliquip products are:

  1. Currently Supported Browsers:
    1. Microsoft® Internet Explorer® 11 or above, most recent stable version  (Internet Explorer is no longer supported)

    2. Microsoft® Edge®, most recent stable version
    3. Google Chrome™, most recent stable version

    4. Apple® Safari® on Mac OS X, most recent stable version

    5. Firefox®, most recent stable version
  2. Cookies: Session cookies enabled (minimum), all cookies enabled (recommended)

  3. Scripting: Javascript must be enabled. (Go to Internet Options, select Security tab, select Customer Level, scroll down to Scripting, and make sure "Active scripting" is enabled.

  4. Temporary Internet Files: Must be set to "Automatically" or "Every time I visit the webpage".  (Go to Internet Options, select General tab, select Settings under Browsing History and select "Automatically" or "Every time I visit the webpage"). 

  5. Popups: The Intelliquip products use popup windows, so popup blockers will need to be disabled or have Intelliquip defined in their list of allowed sites.

  6. Screen resolution: 1280x1024(minimum) or greater

  7. Plugins: Adobe Acrobat Reader (recommended version X) to view PDF documents.  If you do not have this installed click the link below to download and install this free software from Adobe.